> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get taker flow

GET https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume

Retrieve the taker buy and sell volume (including block trades) of call and put options for a currency.

Reference: https://okx-demo.ferndocs.com/api/api-reference/trading-statistics/get-taker-block-volume

## Request

### Query parameters

- `ccy` (string, required) — Currency, e.g. BTC.
- `period` (enum, optional) — Bar size, the default is 8H.
  - Allowed values: `8H`, `1D`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of string, optional)

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    "1630512000000",
    "8.55",
    "67.3",
    "16.05",
    "16.3",
    "126.4",
    "40.7"
  ]
}
```

**SDK Code**

```python tradingStatistics_getTakerBlockVolume_example
import requests

url = "https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume"

querystring = {"ccy":"BTC"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript tradingStatistics_getTakerBlockVolume_example
const url = 'https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go tradingStatistics_getTakerBlockVolume_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby tradingStatistics_getTakerBlockVolume_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java tradingStatistics_getTakerBlockVolume_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC")
  .asString();
```

```php tradingStatistics_getTakerBlockVolume_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC');

echo $response->getBody();
```

```csharp tradingStatistics_getTakerBlockVolume_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift tradingStatistics_getTakerBlockVolume_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rubik/stat/option/taker-block-volume?ccy=BTC")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```